Name:			apwal
Version:		0.4.5
Release:		%mkrel 3

License:		GPL
Group:			System/Configuration/Other
Summary:		application launcher
Source0:		http://apwal.free.fr/download/%{name}-%{version}.tar.xz
Source1:		%{name}.desktop
Source2:		%{name}-editor.sh
URL:			http://apwal.free.fr/
BuildRequires:	pkgconfig
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}xml2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: 	%{name} < %version


%description
Apwal is a simple application launcher for Linux together with a powerful editor.
Apwal is developed under the GPL Licence. It is written in C and use the GTK+
toolkit for the graphical interface and XML format to save the settings.

%prep
%setup -q -n %{name}

%build
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -Dm 755 "src/%{name}" 	"$RPM_BUILD_ROOT%{_bindir}/%{name}"
%{__install} -Dm 755 "%{SOURCE2}" 	"$RPM_BUILD_ROOT%{_bindir}/%{name}-editor"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%{__install} -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications

%clean
%{__rm} -rf %$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ABOUT Changelog README FAQ
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Mar 27 2016 Ken <lxgator at gmail.com> 0.4.5-3pclos2016
- build for 64bit

* Sun May 08 2011 Texstar <texstar at gmail.com> 0.4.5-2pclos2011
- fix rpm group

* Wed Jan 05 2011 Ertain <sirius-c at iname.com> 0.4.5-1pclos2010
- Initial package based upon an old SuSe RPM.

